Hi Drew,

I've tried to reproduce the issue you're experiencing with exact same version of packages you're having however the registration did pass. Could you please provide with full command you're using to register your clients and I'll try to look at this issue once more. In case I am not successful I'd recommend you to wait for Spacewalk 2.7 which should be out soon*™*.


Tomas

On 08/09/2017 02:45 PM, Drew Stinnett wrote:

Hi Tomas,

Yes, so far I’ve only tried 2 clients on this new instance, but both get the same error. Here are the RPM versions:

Clients:

% rpm -q rhn-client-tools rhnlib

rhn-client-tools-2.6.8-1.el6.noarch

rhnlib-2.6.3-1.el6.noarch

Server:

% rpm -qa spacewalk-backend\*

spacewalk-backend-config-files-common-2.6.78-1.el7.noarch

spacewalk-backend-applet-2.6.78-1.el7.noarch

spacewalk-backend-sql-postgresql-2.6.78-1.el7.noarch

spacewalk-backend-iss-export-2.6.78-1.el7.noarch

spacewalk-backend-libs-2.6.78-1.el7.noarch

spacewalk-backend-2.6.78-1.el7.noarch

spacewalk-backend-sql-2.6.78-1.el7.noarch

spacewalk-backend-app-2.6.78-1.el7.noarch

spacewalk-backend-config-files-2.6.78-1.el7.noarch

spacewalk-backend-package-push-server-2.6.78-1.el7.noarch

spacewalk-backend-server-2.6.78-1.el7.noarch

spacewalk-backend-xmlrpc-2.6.78-1.el7.noarch

spacewalk-backend-config-files-tool-2.6.78-1.el7.noarch

spacewalk-backend-xml-export-libs-2.6.78-1.el7.noarch

spacewalk-backend-tools-2.6.78-1.el7.noarch

spacewalk-backend-iss-2.6.78-1.el7.noarch

*From: *Tomáš Kašpárek <tkasp...@redhat.com>
*Date: *Wednesday, August 9, 2017 at 8:30 AM
*To: *"spacewalk-list@redhat.com" <spacewalk-list@redhat.com>
*Cc: *Andrew Stinnett <drew.stinn...@duke.edu>
*Subject: *Re: [Spacewalk-list] xmlrpc.py Error when registering clients

Hello,

does that happen for every client you're trying to register?
Can you please provide versions of following packages on client: rhn-client-tools rhnlib
For server, please provide version of spacewalk backend used.

Thank you

Tomas

On 08/09/2017 02:22 PM, Drew Stinnett wrote:

    Hi Gang,

    We are having some issues with a fresh install of Spacewalk 2.6 on
    RHEL7.  The service starts up, and I can sync packages, however
    when I can’t register clients. When trying to register a client
    using the rhnreg_ks program, I get the following server side error:

    ==> ssl_error_log <==

    [Tue Aug 08 08:26:43.364508 2017] [:error] [pid 28337] [client
    x:38776] mod_wsgi (pid=28337): Exception occurred processing WSGI
    script '/usr/share/rhn/wsgi/xmlrpc.py'.

    [Tue Aug 08 08:26:43.364585 2017] [:error] [pid 28337] [client
    x:38776] Traceback (most recent call last):

    [Tue Aug 08 08:26:43.364614 2017] [:error] [pid 28337] [client
    x:38776]   File "/usr/share/rhn/wsgi/xmlrpc.py", line 22, in
    application

    [Tue Aug 08 08:26:43.364746 2017] [:error] [pid 28337] [client
    x:38776]     return wsgiHandler.handle(environ, start_response,
    "xmlrpc", "server.xmlrpc")

    [Tue Aug 08 08:26:43.364773 2017] [:error] [pid 28337] [client
    x:38776]   File "/usr/share/rhn/wsgi/wsgiHandler.py", line 35, in
    handle

    [Tue Aug 08 08:26:43.364843 2017] [:error] [pid 28337] [client
    x:38776]     parseServ = get_handle(servertype, "HeaderParserHandler")

    [Tue Aug 08 08:26:43.364867 2017] [:error] [pid 28337] [client
    x:38776]   File "/usr/share/rhn/wsgi/wsgiHandler.py", line 63, in
    get_handle

    [Tue Aug 08 08:26:43.364905 2017] [:error] [pid 28337] [client
    x:38776]     handler_module = __import__(servertype, globals(),
    locals(), [servertype.split('.')[-1]])

    [Tue Aug 08 08:26:43.364925 2017] [:error] [pid 28337] [client
    x:38776]   File
    "/usr/lib/python2.7/site-packages/spacewalk/server/apacheServer.py",
    line 17, in <module>

    [Tue Aug 08 08:26:43.364983 2017] [:error] [pid 28337] [client
    x:38776]     from apacheHandler import apacheHandler

    [Tue Aug 08 08:26:43.365005 2017] [:error] [pid 28337] [client
    x:38776]   File
    "/usr/lib/python2.7/site-packages/spacewalk/server/apacheHandler.py",
    line 42, in <module>

    [Tue Aug 08 08:26:43.365102 2017] [:error] [pid 28337] [client
    x:38776]     class apacheSession(rhnApache):

    [Tue Aug 08 08:26:43.365135 2017] [:error] [pid 28337] [client
    x:38776] TypeError: Error when calling the metaclass bases

    [Tue Aug 08 08:26:43.365168 2017] [:error] [pid 28337] [client
    x:38776]     module.__init__() takes at most 2 arguments (3 given)

    From the client, I see:

    root@host [development] ~ $ /usr/sbin/rhnreg_ks --force
    --activationkey=1-patchmonkey-sl6-x86_64 --serverUrl
    https://server-name-removed-for-emailing/XMLRPC
    
<https://urldefense.proofpoint.com/v2/url?u=https-3A__server-2Dname-2Dremoved-2Dfor-2Demailing_XMLRPC&d=DwMDaQ&c=imBPVzF25OnBgGmVOlcsiEgHoG1i6YHLR0Sj_gZ4adc&r=-dUKkerYJ-laGM302LP-CgOZdKqfm2-_8YpIcedsItg&m=TEdUGWyVP44P-wjOHTtN8jpke9W-M0P36ihFIYdwDaw&s=DPT89iZqlQjCCl9qZMn8pswPAxU7S00I1A_UNSlu4O4&e=>

    An error has occurred:

    rhn-plugin: Error communicating with server. The message was:

    Internal Server Error

    See /var/log/up2date for more information

    root@host [development] ~ $ tail -30 /var/log/up2date

    Traceback (most recent call last):

      File "/usr/sbin/rhnreg_ks", line 217, in <module>

    cli.run()

      File "/usr/share/rhn/up2date_client/rhncli.py", line 96, in run

    sys.exit(self.main() or 0)

      File "/usr/sbin/rhnreg_ks", line 95, in main

    rhnreg.getCaps()

      File "/usr/share/rhn/up2date_client/rhnreg.py", line 264, in getCaps

    s.capabilities.validate()

      File "/usr/share/rhn/up2date_client/rhnserver.py", line 185, in
    __get_capabilities

    self.registration.welcome_message()

      File "/usr/share/rhn/up2date_client/rhnserver.py", line 67, in
    __call__

        return rpcServer.doCall(method, *args, **kwargs)

      File "/usr/share/rhn/up2date_client/rpcServer.py", line 290, in
    doCall

    raise_with_tb(up2dateErrors.CommunicationError(e.errmsg))

      File "/usr/share/rhn/up2date_client/rpcServer.py", line 214, in
    doCall

        ret = method(*args, **kwargs)

      File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__

        return self.__send(self.__name, args)

      File "/usr/share/rhn/up2date_client/rpcServer.py", line 48, in
    _request1

        ret = self._request(methodname, params)

      File "/usr/lib/python2.6/site-packages/rhn/rpclib.py", line 394,
    in _request

    self._handler, request, verbose=self._verbose)

      File "/usr/lib/python2.6/site-packages/rhn/transports.py", line
    177, in request

    headers, fd = req.send_http(host, handler)

      File "/usr/lib/python2.6/site-packages/rhn/transports.py", line
    740, in send_http

    response.status, response.reason, response.msg)

    <class 'up2date_client.up2dateErrors.CommunicationError'>:
    rhn-plugin: Error communicating with server. The message was:

    Internal Server Error

    I’ve also tried registering using a username/password instead of
    the activation key, which produces the same error.  Both client
    and server are up to date from the spacewalk repos.

    Any thoughts on what I’m missing?  Thanks!!

--
    Drew Stinnett

    Duke University

    OIT-SSI-Systems




    _______________________________________________

    Spacewalk-list mailing list

    Spacewalk-list@redhat.com <mailto:Spacewalk-list@redhat.com>

    https://www.redhat.com/mailman/listinfo/spacewalk-list
    
<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.redhat.com_mailman_listinfo_spacewalk-2Dlist&d=DwMDaQ&c=imBPVzF25OnBgGmVOlcsiEgHoG1i6YHLR0Sj_gZ4adc&r=-dUKkerYJ-laGM302LP-CgOZdKqfm2-_8YpIcedsItg&m=TEdUGWyVP44P-wjOHTtN8jpke9W-M0P36ihFIYdwDaw&s=iDGuBQ6RfQ3P7vYJP4hq0FkVk2jpClRn3x0FqNsMa24&e=>




_______________________________________________
Spacewalk-list mailing list
Spacewalk-list@redhat.com
https://www.redhat.com/mailman/listinfo/spacewalk-list

Reply via email to